Last Comment Bug 753755 - [Page Thumbnails] Disabling thumbnails should not create empty folders
: [Page Thumbnails] Disabling thumbnails should not create empty folders
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on:
Blocks: 726347
  Show dependency treegraph
 
Reported: 2012-05-10 06:31 PDT by Jim Jeffery not reading bug-mail 1/2/11
Modified: 2013-02-08 02:17 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (3.50 KB, patch)
2012-05-14 07:57 PDT, Tim Taubert [:ttaubert]
dietrich: review+
Details | Diff | Splinter Review

Description Jim Jeffery not reading bug-mail 1/2/11 2012-05-10 06:31:39 PDT
Turning off Thumbnails for the New Tab page should not create 'Empty Folders'

1. Add hidden pref: browser.pagethumbnails.capturing_disabled
2. Set value to 'True' 

With Firefox closed delete the thumbnails folder in your Profile.
Browse around and check back in your Profile - a New Thumbnail Folder was created on restart of the browser as one would expect. 

What one should not expect is to find numerous 'empty folders' being created as you continue to browse over time.  

Over just a few days after clearing the Thumbnails Folder there are now 271 Empty Folders.  I fear that something could creep into the folders and would remain buried and would be very hard to locate something hidden there by perhaps a malicious program.

Enabling the Hidden Pref should turn off creating of folders.
Comment 1 Tim Taubert [:ttaubert] 2012-05-14 07:57:50 PDT
Created attachment 623677 [details] [diff] [review]
patch v1

This adds a {createPath: bool} flag to PageThumbsStorage.getFileForURL() so that we stop creating the file's path implicitly.
Comment 2 Dietrich Ayala (:dietrich) 2012-05-14 08:37:55 PDT
Comment on attachment 623677 [details] [diff] [review]
patch v1

Review of attachment 623677 [details] [diff] [review]:
-----------------------------------------------------------------

yay fileutils

Note You need to log in before you can comment on or make changes to this bug.